package com.jobs.controller;

import com.jobs.pojo.Order;
import com.jobs.service.OrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RequestMapping("/order")
@RestController
public class OrderController {

    @Autowired
    private OrderService orderService;

    @PostMapping("/create")
    public ResponseEntity<Long> createOrder(@RequestBody Order order) {
        try {
            Long orderId = orderService.createOrder(order);
            log.info("controller下单成功");
            return ResponseEntity.ok(orderId);
        } catch (Exception ex) {
            log.error("controller下单失败：{}", ex.getMessage());
            return ResponseEntity.status(500).body(0L);
        }
    }
}
